#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 what4
version:              1.0
visibility:           public
id:                   what4-1.0-IoNo3D3z8iNGFp6yBuG0f2
key:                  what4-1.0-IoNo3D3z8iNGFp6yBuG0f2
license:              BSD-3-Clause
copyright:            (c) Galois, Inc 2014-2020
maintainer:           jhendrix@galois.com, rdockins@galois.com
author:               Galois Inc.
homepage:             https://github.com/GaloisInc/what4
synopsis:             Solver-agnostic symbolic values support for issuing queries
description:
    What4 is a generic library for representing values as symbolic formulae which may
    contain references to symbolic values, representing unknown variables.
    It provides support for communicating with a variety of SAT and SMT solvers,
    including Z3, CVC4, Yices, Boolector, STP, and dReal.
    The data representation types make heavy use of GADT-style type indices
    to ensure type-correct manipulation of symbolic values.

category:             Formal Methods, Theorem Provers, Symbolic Computation, SMT
abi:                  5cb3452c4044e03d280929ab9bb938c1
exposed:              True
exposed-modules:
    Test.Verification What4.BaseTypes What4.Concrete What4.Config
    What4.Expr What4.Expr.AppTheory What4.Expr.ArrayUpdateMap
    What4.Expr.BoolMap What4.Expr.Builder What4.Expr.GroundEval
    What4.Expr.MATLAB What4.Expr.Simplify What4.Expr.StringSeq
    What4.Expr.UnaryBV What4.Expr.VarIdentification
    What4.Expr.WeightedSum What4.FunctionName What4.IndexLit
    What4.Interface What4.InterpretedFloatingPoint What4.LabeledPred
    What4.Panic What4.Partial What4.ProblemFeatures What4.ProgramLoc
    What4.Protocol.Online What4.Protocol.PolyRoot
    What4.Protocol.ReadDecimal What4.Protocol.SExp
    What4.Protocol.SMTLib2 What4.Protocol.SMTLib2.Parse
    What4.Protocol.SMTLib2.Syntax What4.Protocol.SMTWriter What4.SWord
    What4.SatResult What4.SemiRing What4.Solver What4.Solver.Adapter
    What4.Solver.Boolector What4.Solver.CVC4 What4.Solver.DReal
    What4.Solver.STP What4.Solver.Yices What4.Solver.Z3 What4.Symbol
    What4.Utils.AbstractDomains What4.Utils.AnnotatedMap
    What4.Utils.Arithmetic What4.Utils.BVDomain
    What4.Utils.BVDomain.Arith What4.Utils.BVDomain.Bitwise
    What4.Utils.BVDomain.XOR What4.Utils.Complex What4.Utils.Endian
    What4.Utils.Environment What4.Utils.HandleReader
    What4.Utils.IncrHash What4.Utils.LeqMap What4.Utils.MonadST
    What4.Utils.OnlyNatRepr What4.Utils.Process What4.Utils.Streams
    What4.Utils.StringLiteral What4.Utils.Word16String What4.WordMap

hidden-modules:       What4.Expr.App
import-dirs:          /usr/lib/ghc-8.10.1/site-local/what4-1.0
library-dirs:         /usr/lib/ghc-8.10.1/site-local/what4-1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.1/what4-1.0
hs-libraries:         HSwhat4-1.0-IoNo3D3z8iNGFp6yBuG0f2
depends:
    ansi-wl-pprint-0.6.9-5aTFLBrMoVS7vUzD761zFB
    attoparsec-0.13.2.4-2hXHhVC1QQNJDYHhvxUfCW base-4.14.0.0
    bifunctors-5.5.7-Kv2POeR7lX26C6YHV0HRkz
    bimap-0.4.0-FEYMOooYajW1V93SV0XkHW
    bv-sized-1.0.1-Fk1oCayZyN7JRsBR9GY598 bytestring-0.10.10.0
    containers-0.6.2.1 data-binary-ieee754-0.4.4-K62zgbvjZdWGqG22TUshLD
    deepseq-1.4.4.0 deriving-compat-0.5.9-JhwszpqrpZxBOE9vEsf3PT
    directory-1.3.6.0 exceptions-0.10.4
    extra-1.7.3-JcGT9hrIiNV9YNhT7nNG7x filepath-1.4.2.1
    fingertree-0.1.4.2-EdajJgPGNDRJhjPML7ITfO ghc-prim-0.6.1
    hashable-1.3.0.0-9VsPqbCnhR5IR1hPcVPQ9S
    hashtables-1.2.3.4-DyWsKtlgGOeGozbLU1HWPL
    io-streams-1.5.1.0-HZh0bWCBdEYEToX1EKYO6V
    lens-4.19.2-Jjq8DhqdiQ5HaH0nhY4cYR mtl-2.2.2
    panic-0.4.0.1-A8wsV1mQdweDfbMYpGomx
    parameterized-utils-2.1.0-KGSyHmZDiOA1NaIsAxGikT process-1.6.8.2
    scientific-0.3.6.2-10wmiIDNYKiAM8wpPu8PW8 template-haskell-2.16.0.0
    temporary-1.3-3t9vt1pttAbD63iEk7noKl text-1.2.3.2
    th-abstraction-0.3.2.0-4yEKsz3hkum2d9EYr8unnF transformers-0.5.6.2
    unordered-containers-0.2.11.0-4xXgRDqRkAy1dBzEEXx9oz
    utf8-string-1.0.1.1-L5P9SR8YxIu1NqwMrJwV7a
    vector-0.12.1.2-H0z3zqOucdK6qK7YVRJGW2
    versions-3.5.4-60uh13dBsD9DPOwA73GjD9
    zenc-0.1.1-3Cz42q5r86V2oavV66ERYe

haddock-interfaces:   /usr/share/doc/haskell-what4/html/what4.haddock
haddock-html:         /usr/share/doc/haskell-what4/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

